Bug 428780 - Review Request: perl-MasonX-Request-WithApacheSession - Integrates Apache::Session into Mason
Summary: Review Request: perl-MasonX-Request-WithApacheSession - Integrates Apache::Se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-15 05:52 UTC by Walter Gould
Modified: 2009-09-17 02:31 UTC (History)
2 users (show)

Fixed In Version: 0.30-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-27 07:10:57 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Walter Gould 2008-01-15 05:52:57 UTC
Spec URL: http://niscripts.googlecode.com/svn/trunk/rpms/SPECS/perl-MasonX-Request-WithApacheSession.spec
SRPM URL: http://niscripts.googlecode.com/svn/trunk/rpms/SRPMS/perl-MasonX-Request-WithApacheSession-0.30-1.fc8.src.rpm
Description: This module integrates Apache::Session into Mason by adding methods to the Mason Request object available in all Mason components.

This is my first fedora extras package and therefore, I am needing a sponsor.

Thanks in advance.

Comment 1 Jason Tibbitts 2008-01-16 00:32:18 UTC
This one build OK and rpmlint is silent.

I find it odd that there's no %check section even though there are tests.  Did
you remove it, or did cpanspec not include it for some reason?  I added
  %check
  ./Build test verbose=1
and dependencies on perl(File::Find::Rule) and perl(Test::Pod) and the tests failed:

Failed Test  Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/01-basic.t    1   256    12    1   8.33%  11
t/03-multi.t    1   256     7    1  14.29%  4
Failed 2/3 test scripts, 33.33% okay. 2/21 subtests failed, 90.48% okay.

You should investigate why these tests are failing and try to understand the
impact of the failures.  I looked at the CPAN testing report and see that other
testers have seen the same test failures.

Checklist:
* source files match upstream:
   30b0e6acb71ec790a8adbbec065f96093a7537233fb8c401491ac2e86df4484c  
   MasonX-Request-WithApacheSession-0.30.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(MasonX::Request::WithApacheSession) = 0.30
   perl(MasonX::Request::WithMultiSession)
   perl-MasonX-Request-WithApacheSession = 0.30-1.fc9
  =
   perl >= 0:5.005
   perl(:MODULE_COMPAT_5.8.8)
   perl(Apache::Session::Wrapper) >= 0.13
   perl(Digest::SHA1)
   perl(HTML::Mason) >= 1.16
   perl(HTML::Mason::Exceptions)
   perl(HTML::Mason::Request)
   perl(Params::Validate)
   perl(Time::HiRes)
   perl(base)
   perl(strict)
   perl(vars)

X %check is not present even though a test suite is in the tarball.  You need to 
   run upstream test suites whenever possible.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Walter Gould 2008-01-17 05:01:12 UTC
Yes, you are correct about the %check section.  When I was packaging it, I had
problems with the %check section.  Just to see if it would build - I temporarily
removed that section and just forgot to add it back.  I will add it back and
correct whatever is causing the make test to fail.  Thanks.

Comment 3 Walter Gould 2008-01-17 08:28:48 UTC
I have added the %check back into the spec file.  In order to be able to build
the package without the tests failing, I had to apply a patch that I found on a
Mason mailing list (http://permalink.gmane.org/gmane.comp.web.mason.devel/1648).

The new urls are: 

Spec:
http://niscripts.googlecode.com/svn/trunk/rpms/SPECS/perl-MasonX-Request-WithApacheSession.spec
SRPM:
http://niscripts.googlecode.com/svn/trunk/rpms/SRPMS/perl-MasonX-Request-WithApacheSession-0.30-2.fc8.src.rpm

Comment 4 Jason Tibbitts 2008-01-17 17:46:16 UTC
Hmm, that failed to build for me:

Patch #0 (MasonX-Request-WithApacheSession-0.30_subrequests.patch):
+ patch -s
Reversed (or previously applied) patch detected!  Assume -R? [n]
Apply anyway? [n]
1 out of 1 hunk ignored -- saving rejects to file
lib/MasonX/Request/WithApacheSession.pm.rej
error: Bad exit status from /var/tmp/rpm-tmp.48599 (%prep)


Comment 5 Walter Gould 2008-01-17 19:14:33 UTC
Crap - I am sorry.  It was pretty late last night when I was working on this. I
had the patch file messed up.  Try the below files.  It seems to build ok now
and rpmlint reports no errors.

SPEC:
http://niscripts.googlecode.com/svn/trunk/rpms/SPECS/perl-MasonX-Request-WithApacheSession.spec
SRPM:
http://niscripts.googlecode.com/svn/trunk/rpms/SRPMS/perl-MasonX-Request-WithApacheSession-0.30-3.fc8.src.rpm

Comment 6 Jason Tibbitts 2008-01-17 21:10:28 UTC
OK, that builds and the tests pass.

If you look at the test output, you'll see that some tests are skipped because
perl(File::Find::Rule) and perl(Test::Pod) are not installed.  We try to get
complete test coverage whenever possible, even if it means additional build-time
dependencies.

I'll go ahead and approve this package, and you can add build dependencies on
those two modules when you check in.

APPROVED

This should conclude the review process; you should now apply for cvsextras
access in the account system and I'll sponsor you.  Let me know if you need
assistance with the rest of the process.

Comment 7 Walter Gould 2008-01-17 22:51:07 UTC
Thanks - I will add the dependencies that you mention above. 

So, does this mean that all three of my packages are approved?  I have not heard
back from the developers regarding the SNMP-Info MIB issue...   Also, you said
you will sponsor me?  That is great news!!  I appreciate your patience and
assistance in reviewing my packages.

If I have questions that come up during the rest of the process I may shoot you
an e-mail (if you do not mind).  Thanks again.

Walter  


Comment 8 Jason Tibbitts 2008-01-17 23:20:42 UTC
Yes, they're all approved, and you should proceed with getting things set up in
the account system.  We can work out the MIB issue after the fact.

Feel free to ping me here, via email or in IRC if you need assistance.

Comment 9 Walter Gould 2008-01-21 05:53:04 UTC
New Package CVS Request
=======================
Package Name: perl-MasonX-Request-WithApacheSession
Short Description: Integrates Apache::Session into Mason
Owners: gouldwp
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 10 Kevin Fenzi 2008-01-21 17:12:10 UTC
cvs done.

Comment 11 Fedora Update System 2008-01-27 07:10:54 UTC
perl-MasonX-Request-WithApacheSession-0.30-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-08-27 15:28:10 UTC
perl-MasonX-Request-WithApacheSession-0.30-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-MasonX-Request-WithApacheSession-0.30-6.el5

Comment 13 Fedora Update System 2009-09-17 02:31:21 UTC
perl-MasonX-Request-WithApacheSession-0.30-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.